> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Employee Onboarding Link

> Sends an employee onboarding link to the specified employee's email in Zeal.



## OpenAPI

````yaml openapi/zeal-api.json post /sendLink
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /sendLink:
    post:
      summary: Send Employee Onboarding Link
      description: Sends an employee onboarding link to the specified employee's email.
      operationId: send-employee-onboarding-link
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
              properties:
                companyID:
                  type: string
                  description: Company ID of employer
                employees:
                  type: array
                  description: Array of Employee objects to be sent onboarding links.
                  items:
                    properties:
                      employeeID:
                        type: string
                        description: Zeal Employee ID
                      profile:
                        type: boolean
                        description: >-
                          If false, the profile information collection step of
                          the onboarding will be left out. **If you are leaving
                          the profile information out, please ensure that you
                          have given all employee information so Zeal can
                          autofill the paperwork. **
                        default: false
                      employee_acct:
                        type: boolean
                        description: >-
                          If false, the employee account information (username
                          and password) collection step of the onboarding will
                          be left out
                        default: false
                      i9_form:
                        type: boolean
                        description: >-
                          If false, the I9 form in the paperwork step of the
                          onboarding will be left out
                        default: false
                      id_scan:
                        type: boolean
                        description: >-
                          If false, the ID scan step of the onboarding will be
                          left out
                      paperwork:
                        type: boolean
                        description: >-
                          If false, the paperwork step of the onboarding will be
                          left out
                        default: false
                    required:
                      - employeeID
                    type: object
            examples:
              Request Example:
                value:
                  companyID: 1eeec343485723ee58ufefhz
                  employees:
                    - profile: false
                      employee_acct: false
                      i9_form: false
                      id_scan: false
                      paperwork: false
                      employeeID: cc4482374ee49487ruzieun
                    - profile: true
                      employee_acct: false
                      i9_form: false
                      id_scan: false
                      paperwork: false
                      employeeID: dd5582374ee494ccru998eun
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      - employeeID: cc4482374ee49487ruzieun
                      - employeeID: dd5582374ee494ccru998eun
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        employeeID:
                          type: string
                          example: cc4482374ee49487ruzieun
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Employee with this employeeID does not exist
                        code: 23
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Employee with this employeeID does not exist
                        code:
                          type: integer
                          example: 23
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````